summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* net-firewall/firewalld: x86 stable (bug #770313)Thomas Deutschmann2021-03-301-1/+1
| | | | | Package-Manager: Portage-3.0.17, Repoman-3.0.2 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* net-firewall/firewalld: Keyword 0.9.1 arm, #770952Sam James2021-02-221-2/+2
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* */*: Remove obsolete values from PYTHON_COMPATMichał Górny2021-01-313-3/+3
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* net-firewall/firewalld: version bump to 0.9.1Matthias Maier2020-12-032-0/+119
| | | | | Package-Manager: Portage-3.0.11, Repoman-3.0.2 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
* net-firewall/firewalld: update PYTHON_COMPATMatthias Maier2020-12-032-2/+2
| | | | | Package-Manager: Portage-3.0.11, Repoman-3.0.2 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
* net-firewall/firewalld: Stabilize 0.7.1-r3 arm64, #738076Sam James2020-08-201-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-firewall/firewalld: Drop python2_7Andreas Sturmlechner2020-08-022-2/+2
| | | | | Package-Manager: Portage-3.0.1, Repoman-2.3.23 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* net-firewall/firewalld: fix ipset pathMatthias Maier2020-03-215-206/+2
| | | | | | Closes: https://bugs.gentoo.org/713658 Package-Manager: Portage-2.3.94, Repoman-2.3.21 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
* net-firewall/firewalld: x86 stable wrt bug #713066Agostino Sarubbo2020-03-181-1/+1
| | | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-firewall/firewalld: amd64 stable wrt bug #713066Agostino Sarubbo2020-03-181-1/+1
| | | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-firewall/firewalld: fix QA warningsMatthias Maier2020-03-172-2/+2
| | | | | Package-Manager: Portage-2.3.94, Repoman-2.3.21 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
* net-firewall/firewalld: fix refactoring screwupMatthias Maier2020-03-172-2/+4
| | | | | Package-Manager: Portage-2.3.94, Repoman-2.3.21 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
* net-firewall/firewalld: remove superfluous kernel checksMatthias Maier2020-03-172-2/+14
| | | | | | Closes: https://bugs.gentoo.org/692944 Package-Manager: Portage-2.3.94, Repoman-2.3.21 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
* net-firewall/firewalld: update 0.7.1 package as wellMatthias Maier2020-03-171-0/+111
| | | | | Package-Manager: Portage-2.3.94, Repoman-2.3.21 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
* net-firewall/firewalld: version bump to 0.73Matthias Maier2020-03-173-0/+116
| | | | | | | | | | | | | | | | | | | | | | Also fix dependencies and add USE=+nftables - The iptables (ip6tables, ebtables, ipset) backend for firewalld is nowadays entirely optional. Thus add a use flags to control which backend is used and configured at compile time. This allows to drop iptables from the set of installed packages alltogether. - In case both, xtables and nftables are set also depend on nftables[xtables]. - install locales Closes: https://bugs.gentoo.org/670932 Closes: https://bugs.gentoo.org/709856 Bug: https://bugs.gentoo.org/703322 Package-Manager: Portage-2.3.94, Repoman-2.3.21 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
* net-firewall/firewalld: Switch to PYTHON_MULTI_USEDEP APIMichał Górny2020-02-092-16/+20
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* net-firewall/firewalld: Remove local USE="gui"David Seifert2020-01-121-3/+0
| | | | | Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: David Seifert <soap@gentoo.org>
* */*: Clean PYTHON_COMPAT of obsolete implsMichał Górny2020-01-052-4/+4
| | | | | Closes: https://github.com/gentoo/gentoo/pull/14246 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* net-firewall/firewalld: keyword 0.7.1 on ~ppc64Georgy Yakovlev2019-12-281-1/+1
| | | | | | Bug: https://bugs.gentoo.org/679888 Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* net-firewall/firewalld: remove unused patchesMichael Mair-Keimberger2019-08-102-88/+0
| | | | | | Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/12644 Signed-off-by: Aaron Bauman <bman@gentoo.org>
* net-firewall/firewalld: drop oldMatthias Maier2019-07-282-108/+0
| | | | | Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
* net-firewall/firewalld: fix dependency deadlockMatthias Maier2019-07-281-1/+1
| | | | | | | | Let's relax the dependency on ebtables a bit Closes: https://bugs.gentoo.org/679760 Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
* net-firewall/firewalld: version bump to 0.7.1Matthias Maier2019-07-282-0/+100
| | | | | Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
* net-firewall/firewalld: x86 stable (bug #686026)Thomas Deutschmann2019-05-271-1/+1
| | | | | Package-Manager: Portage-2.3.67, Repoman-2.3.13 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* net-firewall/firewalld: amd64 stable wrt bug #686026Mikle Kolyada2019-05-201-1/+1
| | | | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="amd64"
* */*: Remove python3_4 PYTHON_COMPAT correctlyMichał Górny2019-04-172-3/+3
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* net-firewall/firewalld: arm64 keyworded (bug #668906)Aaron Bauman2019-04-081-2/+2
| | | | | Signed-off-by: Aaron Bauman <bman@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
* Revert "net-firewall/firewalld: Remove python3_7 support"Matt Turner2018-10-181-1/+1
| | | | | | | | This reverts commit 9e929dfee2a7f4dd517531bb0e166c72dd11abf4. I raced with Whissi who was adding python3.7 support to python-slip. Signed-off-by: Matt Turner <mattst88@gentoo.org>
* net-firewall/firewalld: Remove python3_7 supportMatt Turner2018-10-181-1/+1
| | | | | | | I missed that a dependency (dev-python/python-slip) does not have python3.7 support. Signed-off-by: Matt Turner <mattst88@gentoo.org>
* net-firewall/firewalld-0.6.3: drop arm64 keywordsMatt Turner2018-10-171-1/+1
| | | | | | | arm64 doesn't have a keyword on the new dependency, net-firewall/nftables. Signed-off-by: Matt Turner <mattst88@gentoo.org>
* net-firewall/firewalld: Version bump to 0.6.3Matt Turner2018-10-173-2/+103
| | | | | | | | | | | | | | Handle a bunch of overdue changes at the same time: - Depend on net-firewall/nftables (see upstream commit 7fc4b6cfb52c) - Switch to python-single-r1 (see upstream commit 6d5c0c61fe04) - Check for required kernel options (bug 540110) - Update OpenRC init file (bug 654706) Closes: https://github.com/gentoo/gentoo/pull/10033 Closes: https://bugs.gentoo.org/540110 Closes: https://bugs.gentoo.org/654706 Closes: https://bugs.gentoo.org/662314 Signed-off-by: Matt Turner <mattst88@gentoo.org>
* net-firewall/firewalld: Drop 0.4.3.3 (Qt4-based)Andreas Sturmlechner2018-05-292-109/+0
| | | | | Closes: https://bugs.gentoo.org/649122 Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-firewall/firewalld: x86 stable (bug #649122)Thomas Deutschmann2018-05-291-1/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-firewall/firewalld: The only test run is broken w/o root accessAndreas Sturmlechner2018-05-271-0/+2
| | | | | Closes: https://bugs.gentoo.org/650760 Package-Manager: Portage-2.3.40, Repoman-2.3.9
* net-firewall/firewalld: amd64 stable wrt bug #649122Mikle Kolyada2018-03-171-1/+1
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-firewall/firewalld: Fix build failureAndreas Sturmlechner2018-03-173-0/+90
| | | | | Closes: https://bugs.gentoo.org/649518 Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-firewall/firewalld: Re-add current stableAndreas Sturmlechner2018-03-012-0/+109
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-firewall/firewalld: Drop oldAndreas Sturmlechner2018-02-283-212/+0
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-firewall/firewalld: Drop unnecessary eutils,multilibAndreas Sturmlechner2018-02-281-1/+1
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-firewall/firewalld: Add missing || dieAndreas Sturmlechner2018-02-281-7/+7
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-firewall/firewalld: Depends on dev-python/PyQt5 not 4Andreas Sturmlechner2018-02-281-0/+103
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-firewall/firewalld: Store sources file as ${P}.tar.gzLuigi 'Comio' Mantellini2018-02-122-2/+2
| | | | | | Closes: https://bugs.gentoo.org/647400 Closes: https://github.com/gentoo/gentoo/pull/7162 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
* net-firewall/firewalld: version bump to 0.5.1Matthias Maier2018-02-112-0/+104
| | | | | Closes: https://bugs.gentoo.org/616146 Package-Manager: Portage-2.3.24, Repoman-2.3.6
* net-firewall/*: Update Manifest hashesMichał Górny2017-12-101-1/+1
|
* net-firewall/firewalld: Support newer pythonPacho Ramos2017-07-121-1/+1
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* net-firewall/firewalld: keyword ~arm64Alexis Ballier2017-07-081-1/+1
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* net-firewall/firewalld: [QA] Add missing python metadata variablesDavid Seifert2017-04-231-7/+8
| | | | Package-Manager: Portage-2.3.5, Repoman-2.3.2
* Drop remaining $Id$ and $Header$ from files.Ulrich Müller2017-02-281-1/+0
| | | | Bug: 611234
* Drop $Id$ per council decision in bug #611234.Robin H. Johnson2017-02-281-1/+0
| | | | Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* global: Drop dead implementations from PYTHON_COMPATMichał Górny2016-11-011-1/+1
|